EtmV4Config Class Reference
OpenCSD Library : Trace Source Protocol Configuration.

Interpreter class for etm v4 config structure. More...

`#include <trc_cmp_cfg_etmv4.h>`

Inheritance diagram for EtmV4Config:
[legend]
Collaboration diagram for EtmV4Config:
[legend]

## Public Types

enum | _condType { COND_PASS_FAIL , COND_HAS_ASPR }
enum | _QSuppType { Q_NONE , Q_ICOUNT_ONLY , Q_NO_ICOUNT_ONLY , Q_FULL }
enum | LSP0_t { LSP0_NONE , LSP0_L , LSP0_S , LSP0_LS }
enum | CondITrace_t { COND_TR_DIS , COND_TR_LD , COND_TR_ST , COND_TR_LDST , COND_TR_ALL }
typedef enum EtmV4Config::_condType | condType
typedef enum EtmV4Config::_QSuppType | QSuppType

## Public Member Functions

| EtmV4Config ()
| EtmV4Config (const ocsd_etmv4_cfg *cfg_regs)
| ~EtmV4Config ()
EtmV4Config & | operator= (const ocsd_etmv4_cfg *p_cfg)
| copy assignment operator for base structure into class. More...
| operator const ocsd_etmv4_cfg & () const
| cast operator returning struct const reference More...
| operator const ocsd_etmv4_cfg * () const
| cast operator returning struct const pointer More...
const ocsd_core_profile_t & | coreProfile () const
const ocsd_arch_version_t & | archVersion () const
ETMv4 configuration
const bool | LSasInstP0 () const
const bool | hasDataTrace () const
const bool | hasBranchBroadcast () const
const bool | hasCondTrace () const
const bool | hasCycleCountI () const
const bool | hasRetStack () const
const uint8_t | numEvents () const
const bool | eteHasTSMarker () const
const condType | hasCondType () const
const QSuppType | getQSuppType ()
const bool | hasQElem ()
const bool | hasQFilter ()
const bool | hasTrcExcpData () const
const uint32_t | TimeStampSize () const
const bool | commitOpt1 () const
const bool | commTransP0 () const
const uint8_t | MajVersion () const
const uint8_t | MinVersion () const
const uint8_t | FullVersion () const
const uint32_t | iaSizeMax () const
const uint32_t | cidSize () const
const uint32_t | vmidSize ()
const uint32_t | daSize () const
const uint32_t | dvSize () const
const uint32_t | ccSize () const
const bool | vmidOpt () const
const bool | wfiwfeBranch () const
const uint32_t | MaxSpecDepth () const
const uint32_t | P0_Key_Max () const
const uint32_t | P1_Key_Max () const
const uint32_t | P1_Spcl_Key_Max () const
const uint32_t | CondKeyMax () const
const uint32_t | CondSpecKeyMax () const
const uint32_t | CondKeyMaxIncr () const
virtual const uint8_t | getTraceID () const
| CoreSight Trace ID for this device. More...
const bool | enabledDVTrace () const
const bool | enabledDATrace () const
const bool | enabledDataTrace () const
const bool | enabledLSP0Trace () const
const LSP0_t | LSP0Type () const
const bool | enabledBrBroad () const
const bool | enabledCCI () const
const bool | enabledCID () const
const bool | enabledVMID () const
const bool | enabledVMIDOpt () const
const CondITrace_t | enabledCondITrace ()
const bool | enabledTS () const
const bool | enabledRetStack () const
const bool | enabledQE () const
Public Member Functions inherited from CSConfig
| CSConfig ()
virtual | ~CSConfig ()

## Protected Attributes

ocsd_etmv4_cfg | m_cfg
uint8_t | m_MajVer
uint8_t | m_MinVer

## Detailed Description

Interpreter class for etm v4 config structure.

Provides quick value interpretation methods for the ETMv4 config register values. Primarily inlined for efficient code.

Definition at line 56 of file trc_cmp_cfg_etmv4.h.

## Member Typedef Documentation

## condType

typedef enum EtmV4Config::_condType EtmV4Config::condType

## QSuppType

typedef enum EtmV4Config::_QSuppType EtmV4Config::QSuppType

## Member Enumeration Documentation

## _condType

enum EtmV4Config::_condType

Enumerator
COND_PASS_FAIL |
COND_HAS_ASPR |

Definition at line 86 of file trc_cmp_cfg_etmv4.h.

## _QSuppType

enum EtmV4Config::_QSuppType

Enumerator
Q_NONE |
Q_ICOUNT_ONLY |
Q_NO_ICOUNT_ONLY |
Q_FULL |

Definition at line 93 of file trc_cmp_cfg_etmv4.h.

## CondITrace_t

enum EtmV4Config::CondITrace_t

Enumerator
COND_TR_DIS |
COND_TR_LD |
COND_TR_ST |
COND_TR_LDST |
COND_TR_ALL |

Definition at line 158 of file trc_cmp_cfg_etmv4.h.

## LSP0_t

enum EtmV4Config::LSP0_t

Enumerator
LSP0_NONE |
LSP0_L |
LSP0_S |
LSP0_LS |

Definition at line 142 of file trc_cmp_cfg_etmv4.h.

## Constructor & Destructor Documentation

## EtmV4Config() [1/2]

EtmV4Config::EtmV4Config | ( |  | ) |

Default constructor

## EtmV4Config() [2/2]

EtmV4Config::EtmV4Config | ( | const ocsd_etmv4_cfg * | cfg_regs | ) |

## ~EtmV4Config()

EtmV4Config::~EtmV4Config | ( |  | ) |

inline

Definition at line 61 of file trc_cmp_cfg_etmv4.h.

## Member Function Documentation

## archVersion()

const ocsd_arch_version_t& EtmV4Config::archVersion | ( |  | ) | const

inline

Definition at line 74 of file trc_cmp_cfg_etmv4.h.

## coreProfile()

const ocsd_core_profile_t& EtmV4Config::coreProfile | ( |  | ) | const

inline

Definition at line 73 of file trc_cmp_cfg_etmv4.h.

## operator const ocsd_etmv4_cfg &()

EtmV4Config::operator const ocsd_etmv4_cfg & | ( |  | ) | const

inline

cast operator returning struct const reference

Definition at line 69 of file trc_cmp_cfg_etmv4.h.

## operator const ocsd_etmv4_cfg *()

EtmV4Config::operator const ocsd_etmv4_cfg * | ( |  | ) | const

inline

cast operator returning struct const pointer

Definition at line 71 of file trc_cmp_cfg_etmv4.h.

## operator=()

EtmV4Config& EtmV4Config::operator= | ( | const ocsd_etmv4_cfg * | p_cfg | ) |

copy assignment operator for base structure into class.

Default destructor

## Member Data Documentation

## m_cfg

ocsd_etmv4_cfg EtmV4Config::m_cfg

protected

Definition at line 189 of file trc_cmp_cfg_etmv4.h.

## m_MajVer

uint8_t EtmV4Config::m_MajVer

protected

Definition at line 190 of file trc_cmp_cfg_etmv4.h.

## m_MinVer

uint8_t EtmV4Config::m_MinVer

protected

Definition at line 191 of file trc_cmp_cfg_etmv4.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/opencsd/etmv4/trc_cmp_cfg_etmv4.h